ome-common 5.2.0-m2

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Functions
ome::common::xml Namespace Reference

Xerces-C modern C++ wrapper. More...

## Namespaces
| dom
| Domain object model.

## Classes
class | EntityResolver
| Xerces entity resolver. More...
class | ErrorReporter
| Xerces error handler reporting errors to an ostream. More...
class | Platform
| XML Platform. More...
class | String
| Xerces string wrapper. More...

## Functions
inline::std::ostream & | operator<< (::std::ostream &os, const String &str)
| Output String to output stream. More...

## Detailed Description

Xerces-C modern C++ wrapper.

All classes in this namespace wrap the Xerces-C classes and functions to provide RAII and exception-safe equivalents, and which also handle memory management transparently.

## Function Documentation

inline ::std::ostream& ome::common::xml::operator<< | ( | ::std::ostream & | os,
|  | const String & | str
| ) |  |

Output String to output stream.

Parameters

  os | the output stream.
  str | the String to output.

Returns
  the output stream.